package ejb3;

import par.LogEntry;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;
import javax.naming.InitialContext;

@MessageDriven(activateConfig =
{
  @ActivationConfigProperty(propertyName="destinationType",
    propertyValue="javax.jms.Queue"),
  @ActivationConfigProperty(propertyName="destination",
    propertyValue="queue/myCustomLog")
})
public class LoggingService implements MessageListener {

  public void onMessage (Message msg) {
    try {

      final ObjectMessage objMessage = (ObjectMessage)msg;
      final LogEntry logEntry = (LogEntry)objMessage.getObject();

      try{
         final InitialContext ctx = new InitialContext();
         final LogWriter logWriter = (LogWriter) ctx.lookup(LogWriter.class.getName());
         logWriter.addLog(logEntry);
      }
      catch(Exception e){
        // If you get an error, you probably want to insert code
        // in here to failover the logs to a text file
        System.err.println("Could not log file to database. "+e.toString());
      }
    }
    catch (Exception e) {
      e.printStackTrace ();
    }
  }
}
