package par;

import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;
import java.util.GregorianCalendar;
import java.util.logging.Level;

@Entity
@Table(name = "log_records")
public class LogEntry implements Serializable {
  private int id;
  private Timestamp date;
  private String level;
  private String message;

  public LogEntry() {

  }

  public LogEntry(final Level lvl, final String msg) {
    date = new Timestamp(new GregorianCalendar().getTimeInMillis());
    level = lvl.getName();
    message = msg;
  }

  @Id(generate = GeneratorType.AUTO)
  public int getId() {
    return id;
  }

  public void setId( final int id ) {
    this.id = id;
  }

  public Timestamp getDate() {
    return date;
  }

  public void setDate( final Timestamp date) {
    this.date= date;
  }

  public String getLevel() {
    return level;
  }

  public void setLevel( final String level ) {
    this.level = level;
  }

  public String getMessage() {
    return message;
  }

  public void setMessage( final String message ) {
    this.message = message;
  }
}
