package web;

import ejb3.Logger;
import par.LogEntry;

import javax.naming.InitialContext;
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.logging.Level;

public class TestServlet extends HttpServlet {

  protected void doPost(final HttpServletRequest request, final HttpServletResponse response) throws ServletException, IOException {
    testLogger(response);
  }

  protected void doGet(final HttpServletRequest request, final HttpServletResponse response) throws ServletException, IOException {
    testLogger(response);
  }


  private void testLogger(final HttpServletResponse response) throws IOException{
    int numberOfLogsToCreate = 5;
    final ServletOutputStream out = response.getOutputStream();

    try {
      final InitialContext ctx = new InitialContext();
      final Logger logger = (Logger) ctx.lookup(Logger.class.getName());
      for(int x=0; x < numberOfLogsToCreate; x++){
        final LogEntry logEntry = new LogEntry(Level.WARNING, "Msg #"+x);
        logger.sendEntry(logEntry);
      }
      out.println("<HTML><BODY>" + numberOfLogsToCreate + " Logs created</BODY></HTML>");
    }
    catch(Exception e){
      System.out.println("logging attempt failed: "+e.toString());
      out.println("<HTML><BODY>" + e.getMessage() + "</BODY></HTML>");
    }
    finally{
      out.flush();
      out.close();
    }
  }

}
